"""Create Equipment-Person relationship

Revision ID: c153fc83c20b
Revises: d80c269c0624
Create Date: 2018-10-31 17:33:07.268963

"""
from alembic import op
import sqlalchemy as sa


# revision identifiers, used by Alembic.
revision = 'c153fc83c20b'
down_revision = 'd80c269c0624'
branch_labels = None
depends_on = None


def upgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.create_table('equipment_related_roles',
    sa.Column('id', sa.Integer(), nullable=False),
    sa.Column('person_id', sa.Integer(), nullable=True),
    sa.Column('equipment_id', sa.Integer(), nullable=True),
    sa.Column('role', sa.String(length=32), nullable=False),
    sa.ForeignKeyConstraint(['equipment_id'], ['equipments.id'], ),
    sa.ForeignKeyConstraint(['person_id'], ['people.id'], ),
    sa.PrimaryKeyConstraint('id')
    )
    op.drop_column('equipments', 'administrator_USP_number')
    op.drop_column('equipments', 'researcher_email')
    op.drop_column('equipments', 'administrator_unit')
    op.drop_column('equipments', 'administrator_is_researcher')
    op.drop_column('equipments', 'administrator_name')
    op.drop_column('equipments', 'administrator_email')
    op.drop_column('equipments', 'researcher_unit')
    op.drop_column('equipments', 'researcher_name')
    op.drop_column('equipments', 'researcher_USP_number')
    # ### end Alembic commands ###


def downgrade():
    # ### commands auto generated by Alembic - please adjust! ###
    op.add_column('equipments', sa.Column('researcher_USP_number', sa.VARCHAR(length=16), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('researcher_name', sa.VARCHAR(length=32), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('researcher_unit', sa.VARCHAR(length=64), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('administrator_email', sa.VARCHAR(length=64), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('administrator_name', sa.VARCHAR(length=32), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('administrator_is_researcher', sa.BOOLEAN(), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('administrator_unit', sa.VARCHAR(length=64), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('researcher_email', sa.VARCHAR(length=64), autoincrement=False, nullable=False))
    op.add_column('equipments', sa.Column('administrator_USP_number', sa.VARCHAR(length=16), autoincrement=False, nullable=False))
    op.drop_table('equipment_related_roles')
    # ### end Alembic commands ###
